<?xml version="1.0" encoding="utf-8" ?>
<urls>

  <rewrite name="column" path="/web/column-{0}.aspx" pattern="^/web/column-(\d+).aspx" page="~/web/column.aspx"
 querystring="id=$1" />
  
  <rewrite name="column1" path="/web/column-{0}-{1}.aspx" pattern="^/web/column-(\d+)-(\d+).aspx" page="~/web/column.aspx"
 querystring="id=$1&amp;page=$2" />
  
  <rewrite name="article" path="/web/article-{0}.aspx" pattern="^/web/article-(\d+).aspx" page="~/web/article.aspx"
 querystring="id=$1" />





  <rewrite name="index" path="index.aspx" pattern="^/index.aspx" page="~/web/default.aspx"
 querystring="" />



  <rewrite name="column" path="/column-{0}.aspx" pattern="^/column-(\d+).aspx" page="~/web/column.aspx"
 querystring="id=$1" />

  <rewrite name="column1" path="/column-{0}-{1}.aspx" pattern="^/column-(\d+)-(\d+).aspx" page="~/web/column.aspx"
 querystring="id=$1&amp;page=$2" />

  <rewrite name="article" path="/article-{0}.aspx" pattern="^/article-(\d+).aspx" page="~/web/article.aspx"
 querystring="id=$1" />















  <rewrite name="product" path="/web/product-{0}.aspx" pattern="^/web/product-(\d+).aspx" page="~/web/product.aspx"
 querystring="id=$1" />
  <rewrite name="productshow" path="/web/productshow-{0}.aspx" pattern="^/web/productshow-(\d+).aspx" page="~/web/productshow.aspx"
 querystring="id=$1" />
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  <rewrite name="about" path="/about/{0}.aspx" pattern="^/about/(\w+).aspx" page="~/about/about.aspx"
  querystring="id=$1" />


  <rewrite name="activeindex" path="/active/index-{0}.aspx" pattern="^/active/index-(\d+).aspx" page="~/active/index.aspx"
 querystring="pid=$1" />
  <rewrite name="activeindex1" path="/active/index-{0}-{1}.aspx" pattern="^/active/index-(\d+)-(\d+).aspx" page="~/active/index.aspx"
 querystring="id=$1&amp;pid=$2" />
  
  <rewrite name="activeactive" path="/active/active-{0}.aspx" pattern="^/active/active-(\d+).aspx" page="~/active/active.aspx"
 querystring="id=$1" />

  <rewrite name="newsindex" path="/news/index-{0}.aspx" pattern="^/news/index-(\d+).aspx" page="~/news/index.aspx"
 querystring="id=$1" />

  <rewrite name="newsindex1" path="/news/index-{0}-{1}.aspx" pattern="^/news/index-(\d+)-(\d+).aspx" page="~/news/index.aspx"
 querystring="id=$1&amp;pid=$2" />

  <rewrite name="newsdetail" path="/news/detail-{0}.aspx" pattern="^/news/detail-(\d+).aspx" page="~/news/detail.aspx"
 querystring="id=$1" />


  <rewrite name="knowledgegrow" path="/knowledge/grow-{0}.aspx" pattern="^/knowledge/grow-(\d+).aspx" page="~/knowledge/grow.aspx"
 querystring="id=$1" />

  <rewrite name="knowledgeindex" path="/knowledge/index-{0}.aspx" pattern="^/knowledge/index-(\d+).aspx" page="~/knowledge/index.aspx"
 querystring="id=$1" />

  <rewrite name="knowledgeindex1" path="/knowledge/index-{0}-{1}.aspx" pattern="^/knowledge/index-(\d+)-(\d+).aspx" page="~/knowledge/index.aspx"
 querystring="id=$1&amp;pid=$2" />

  <rewrite name="knowledgeindex2" path="/knowledge/index-{0}-{1}-{2}.aspx" pattern="^/knowledge/index-(\d+)-(\d+)-(\d+).aspx" page="~/knowledge/index.aspx"
 querystring="id=$1&amp;pid=$2&amp;kid=$3" />

  <rewrite name="knowledgedetail" path="/knowledge/detail-{0}.aspx" pattern="^/knowledge/detail-(\d+).aspx" page="~/knowledge/detail.aspx"
 querystring="id=$1" />

  <rewrite name="knowledgelib" path="/knowledge/lib-{0}.aspx" pattern="^/knowledge/lib-(\d+).aspx" page="~/knowledge/lib.aspx"
 querystring="id=$1" />

  <rewrite name="knowledgelist1" path="/knowledge/list-{0}-{1}.aspx" pattern="^/knowledge/list-(\d+)-(\d+).aspx" page="~/knowledge/list.aspx"
 querystring="id=$1&amp;=$2" />
  
  <rewrite name="knowledgelist2" path="/knowledge/list-{0}.aspx" pattern="^/knowledge/list-(\d+).aspx" page="~/knowledge/list.aspx"
 querystring="id=$1" />

  <rewrite name="product" path="/product-{0}.aspx" pattern="^/product-(\d+).aspx" page="~/product.aspx"
 querystring="id=$1" />
  <rewrite name="success" path="/success-{0}.aspx" pattern="^/success-(\d+).aspx" page="~/success.aspx"
 querystring="id=$1" />
  <rewrite name="detail" path="/detail-{0}.aspx" pattern="^/detail-(\d+).aspx" page="~/detail.aspx"
 querystring="id=$1" />
  <rewrite name="successlist" path="/successlist-{0}.aspx" pattern="^/successlist-(\d+).aspx" page="~/successlist.aspx"
 querystring="id=$1" />
  <rewrite name="productlist" path="/productlist-{0}.aspx" pattern="^/productlist-(\d+).aspx" page="~/productlist.aspx"
 querystring="id=$1" />
  <rewrite name="news" path="/news-{0}.aspx" pattern="^/news-(\d+).aspx" page="~/news.aspx"
 querystring="id=$1" />

  <rewrite name="successlist1" path="/successlist-{0}-{1}.aspx" pattern="^/successlist-(\d+)-(\d+).aspx" page="~/successlist.aspx"
 querystring="id=$1&amp;=$2" />
  <rewrite name="productlist1" path="/productlist-{0}-{1}.aspx" pattern="^/productlist-(\d+)-(\d+).aspx" page="~/productlist.aspx"
 querystring="id=$1&amp;=$2" />
  <rewrite name="news1" path="/news-{0}-{1}.aspx" pattern="^/news-(\d+)-(\d+).aspx" page="~/news.aspx"
 querystring="id=$1&amp;=$2" />

  <rewrite name="MasterOnline" path="/MasterOnline/moremasteronlineright-{0}.aspx" pattern="^/MasterOnline/moremasteronlineright-(\d+).aspx" page="~/MasterOnline/moremasteronlineright.aspx"
 querystring="id=$1" />

  <rewrite name="MasterOnline1" path="/MasterOnline/detail-{0}.aspx" pattern="^/MasterOnline/detail-(\d+).aspx" page="~/MasterOnline/detail.aspx"
 querystring="id=$1" />
</urls>